org.apache.commons.jelly

## Interface Script

All Known Implementing Classes:
  CompositeTextScriptBlock, ExpressionScript, ScriptBlock, StaticTagScript, TagScript, TextScript

    public interface Script

`Script` represents a Jelly script. A Script must be thread safe so care should be taken on the implementations of Scripts. However Tags are only used in a single thread (each thread will have create its own Tags for the Script it is running) so multi threading is not a concern for Tag developers.

Version:
  $Revision: 155420 $
Author:
  James Strachan

### Method Summary

Methods
`Script` `compile()` Called by the parser to allow a more efficient representation of the script to be used.
`void` `run(JellyContext context, XMLOutput output)` Evaluates the body of a tag

### Method Detail

#### compile

    Script compile()
                   throws JellyException

Called by the parser to allow a more efficient representation of the script to be used.

Throws:
  `JellyException`

#### run

    void run(JellyContext context,
           XMLOutput output)
             throws JellyTagException

Evaluates the body of a tag

Throws:
  `JellyTagException`